﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_Prefrence

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)


    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Edit Preference</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }

        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>

        <li class="active">Dashboard</li>
    </ul>



    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />

                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table style="width: 560px">
                                <tr>
                                    <td>
                                        @Html.HiddenFor(model => model.Id)
                                        <table>
                                            <tr>
                                                <td>E-Mail</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.EMail)
                                        @Html.ValidationMessageFor(model => model.EMail)
                                    </td>
                                </tr>
                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>SMTP Server</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.SmtpServer)
                                        @Html.ValidationMessageFor(model => model.SmtpServer)
                                    </td>
                                </tr>
                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>Password</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.Password)
                                        @Html.ValidationMessageFor(model => model.Password)
                                    </td>
                                </tr>
                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>Port</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.EditorFor(model => model.Port)
                                        @Html.ValidationMessageFor(model => model.Port)
                                    </td>
                                </tr>
                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>IP Address</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.TextAreaFor(model => model.IPAddress)
                                        @Html.ValidationMessageFor(model => model.IPAddress)
                                    </td>
                                </tr>
                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>IELTS Followup days</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.TextAreaFor(model => model.FollDays)
                                        @Html.ValidationMessageFor(model => model.FollDays)
                                    </td>
                                </tr>
                                <tr>
                                    <td>

                                        <table>
                                            <tr>
                                                <td>SSL</td>
                                                <td><span class="color_style">*</span></td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.CheckBoxFor(model => model.SSL)

                                    </td>

                                </tr>



                            </table>
                        </form>
                    </div>
                    <div class="tab-pane fade" id="profile">
                        <form id="tab2">
                            <label>New Password</label>
                            <input type="password" class="input-xlarge">
                            <div>
                                <button class="btn btn-primary">Update</button>
                            </div>
                        </form>
                    </div>
                </div>

            </div>

            <div class="modal small hide fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 id="myModalLabel">Delete Confirmation</h3>
                </div>
                <div class="modal-body">

                    <p class="error-text"><i class="icon-warning-sign modal-icon"></i>Are you sure you want to delete the user?</p>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal" aria-hidden="true">Cancel</button>
                    <button class="btn btn-danger" data-dismiss="modal">Delete</button>
                </div>
            </div>



            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank"></a><a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a>
                </p>


                <!--  <p>&copy; 2012 <a href="#" target="_blank">Portnine</a></p>-->
            </footer>


        </div>
    </div>



            }
